Subject: RE: L2TP Outgoing Calls in RFC 2661

From: Nurit Sprecher <[email-masked]>
Date: Thu, 23 Aug 2001 09:54:18 +0200

Thanks for your response. It is helpful.
Can you give me more examples for the use of outgoing calls?
Can I assume that an outgoing call relates to some incoming call (that may
be already tear down but was first established before the outgoing one?).

-----Original Message-----
From: Ignacio Goyret [mailto:[email-masked]]
Sent: Wednesday, August 22, 2001 9:04 PM
To: Nurit Sprecher
Cc: (E-mail)
Subject: Re: L2TP Outgoing Calls in RFC 2661

At 02:08 PM 8/22/01 +0200, Nurit Sprecher wrote:
>
>
>Hi all,
>
>1.      I wondered if L2TP outgoing calls may be used in order to perform a
call back to a (PPP) >subscriber.

That's one of the purposes of L2TP outgoing calls.

>a.      Is it popular to perform a call back in case of PPP sessions?

It depends.

>b.      Is such a call back performed by a LNS using a L2TP outgoing call?

Yes.

>i.      In such a case, the LAC should establish an outbound call. In case
of PPP,
>        the telephone called number is irrelevant. What parameters should
the LNS
>        send the LAC in order to establish a new PPP session? I guess the
sub-address
>        AVP is used for this. Is it so? I know that in the new draft on
L2TP there is
>        a new AVP, named End Identifier. What about 2661?

The telephone number is most certainly important. What number will the LAC
dial?

Note that the LAC does NOT establish the PPP session: the LNS will do that.
The LAC just connects to the PSTN.

The subaddress AVP is to pass ISDN subaddress information. This is required
for
some BRI configurations.

>2.      L2TP outgoing calls are used in the L2TP multicast application.
>        Are there more applications that use the L2TP outgoing calls?

L2TP multicast is a horrible kludge IMHO, but that's another story.

There are many reasonable applications for outgoing calls. Callback is
just one of them.

---

From: James Carlson <[email-masked]>
Date: Thu, 23 Aug 2001 07:04:35 -0400 (EDT)

> Can you give me more examples for the use of outgoing calls?

How about a demand link?

> be already tear down but was first established before the outgoing one?).

No.  Why would you need to assume anything?  What's the advantage?

Note that even if it is a callback scenario, the callback doesn't have
to occur on the same LAC that received the initial call.

-- 
James Carlson                                  <[email-masked]>